﻿@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');


:root {
    --primary-color: #1F4397;
    --warning-color: #EC7C30;
    --error-color: #CD1002;
    --white-color: #FEFEFE;
}

body, * {
    font-family: "Inter", sans-serif !important;
}

/*Nav Bar*/

#layout-menu,
#layout-navbar {
    /*    background-color: var(--white-color) !important;*/
}

.bg-menu-theme {
    background-color: var(--white-color) !important;
}

.layout-content-navbar .content-wrapper {
    background: #F7F7F7;
}

.app-brand-text {
    color: #EC7C30 !important;
    font-size: 15px !important;
    margin: auto !important;
    height: 30px;
    overflow: hidden !important;
    letter-spacing: normal !important;
    text-overflow: ellipsis !important;
}

@media (min-width: 1200px) {
    .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .app-brand-text {
        white-space: nowrap;
        opacity: 0;
        overflow: hidden !important;
        text-overflow: ellipsis !important;
    }
}

.menu-vertical .menu-item .menu-link, .menu-vertical .menu-header, .menu-vertical .menu-block {
    padding: .437rem 0.2rem;
}

.layout-wrapper:not(.layout-horizontal) .menu-vertical .menu-inner > .menu-item .menu-sub > .menu-item > .menu-link::before {
    content: "";
    width: 0;
    height: 0;
}

.layout-wrapper:not(.layout-horizontal) .menu-vertical .menu-inner > .menu-item > .menu-sub > .menu-item > .menu-link {
    padding-left: 1.55rem;
}

.layout-wrapper:not(.layout-horizontal) .menu-vertical .menu-sub .menu-icon {
    margin-right: 0.5rem;
}

/*Inputs*/
form .invalid,
form .is-invalid .invalid:before,
form .is-invalid::before {
    border: 1px solid;
    outline: var(--error-color);
    outline-width: thin;
}

.validation-message {
    color: var(--error-color);
    font-size: 12px;
    font-weight: normal;
    margin-top: 5px;
}

.app-password-container {
    position: relative;
}

.app-password-icon {
    position: absolute;
    top: 20%;
    right: 15px;
    cursor: pointer;
}

/*File Input*/
.app-file-list {
    font-size: .8125rem;
    margin-top: 5px;
}

.app-file-list table td {
    padding: 5px !important;
    background: #f0f3f6 !important;
    margin-top: 2px;
}

.app-file-list table td:first-child {
    border-bottom-left-radius: .375rem;
    border-top-left-radius: .375rem;
}

.app-file-list table td:last-child {
    border-bottom-right-radius: .375rem;
    border-top-right-radius: .375rem;
}

.upload-zone {
    border: 2px dashed #D0D5DD;
    border-radius: 15px;
    padding: 20px;
    text-align: center;
    cursor: pointer;
    position: relative;
    background-color: #f9f9f9;
    transition: background-color 0.3s;
}

.upload-zone:hover {
    background-color: #eef;
}

.app-form-container {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.app-form-content {
    flex: 1; /* grow to available height */
    max-height: 65vh; /* control dialog body size */
    overflow-y: auto; /* scroll only fields */
    overflow-x: hidden;
    padding: 12px;
}

.app-form-actions {
    position: sticky;
    bottom: 0;
    background: white;
    padding: 12px 16px;
    display: flex;
    gap: 12px;
    z-index: 10;
}

/*Data Grid Table List*/
.mud-data-grid .mud-table-cell .column-header {
    display: flex;
    align-items: center;
}

.mud-data-grid .mud-table-cell .column-header > div {
    display: flex !important;
    /*        justify-content: flex-start !important;*/
    align-items: center;
    width: 100% !important;
}

.mud-table-sticky-header * .mud-table-root .mud-table-head .mud-table-row {
    background: var(---l-table-header-color) !important;
    font-weight: 500;
}

.mud-table-head .mud-table-row .mud-table-cell {
    background: var(--mia-table-header-color) !important;
    color: #fff !important;
    padding-top: 10px !important;
    padding-bottom: 10px !important;
}

.mud-table-head .mud-table-row .mud-table-cell .mud-icon-root.mud-svg-icon {
    fill: #fff !important;
}

.mud-table-dense * .mud-table-row .mud-table-cell {
    padding-right: 10px;
}

.mud-table-row .mud-table-cell .mud-table-cell-content {
    white-space: nowrap;
}

.mud-table-cell {
    font-size: 12px !important;
}

@media (max-width: 600px) {
    .mud-table-row .mud-table-cell {
        align-items: start;
        text-align: right !important;
    }

    .mud-table-row .mud-table-cell .mud-table-cell-content {
        white-space: normal;
        text-align: right;
    }

    .mud-table-pagination-caption {
        padding: 0;
    }
}

.mud-table-toolbar {
    padding-left: 8px !important;
    padding-inline-start: 8px !important;
}

.mud-data-grid .mud-table-cell .column-header .column-options .mud-menu .mud-icon-button-label {
    display: none !important;
}

.mud-table-pagination-select .mud-input .mud-input-root {
    min-width: 25px !important;
    max-width: 30px !important;
}

.mud-table-pagination-caption {
    font-size: 12px !important;
}

.mia-borderless-input {
    border: none !important;
    box-shadow: none !important;
    outline: none !important;
    background-color: transparent !important;
}

.mia-borderless-input:focus {
    border: none !important;
    box-shadow: none !important;
    outline: none !important;
}

.filter-icon {
    width: 15px !important;
}


/*Loader*/
#loader-container {
    position: fixed;
    display: none;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 1000000;
    opacity: .8;
    background: #eaebec;
}

.loader {
    position: absolute;
    z-index: 10000;
    top: 50%;
    left: 50%;
    width: 50px;
    padding: 8px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: #0819fb;
    --_m: conic-gradient(#0000 10%, #000), linear-gradient(#000 0 0) content-box;
    -webkit-mask: var(--_m);
    mask: var(--_m);
    -webkit-mask-composite: source-out;
    mask-composite: subtract;
    animation: l3 1s infinite linear;
}

@keyframes l3 {
    to {
        transform: rotate(1turn)
    }
}

/*Notification*/
#app-noti .list-group-item-action.not-read {
    background: #eeeeff;
}


.submission-toggle {
    padding: 3px;
    border: 1px solid #ddd;
    border-radius: 0.7rem;
    margin-right: 30px;
    margin-left: 10px;
}

.toggle-btn-container {
    display: inline-flex;
    border-radius: 0.5rem;
    overflow: hidden;
}

.toggle-btn {
    padding: 6px 20px;
    border: none;
    background: white;
    cursor: pointer;
    font-size: 12px;
}

.toggle-btn.active {
    background: #e8f0ff;
    color: #1976d2;
    font-weight: bold;
}

.radio-color .mud-radio .mud-icon-root {
    color: #1F4397 !important;
}

.equal-tabs {
    background: white;
    height: 100%;
}

.equal-tabs .mud-tab {
    flex: 1 1 0 !important;
    text-align: center !important;
}

.raw-import-bg {
    background-image: url('/images/raw_import_app_bg.svg');
    background-color: #1F4397;
    background-size: cover;
    background-position: center;
    background-repeat: repeat-x;
}

/* Active tab text color */
.equal-tabs .mud-tab.mud-tab-active {
    color: #1F4397 !important; /* Your active color */
}

.equal-tabs .mud-tab-slider {
    background-color: #1F4397 !important;
}

.mia-text-field .mud-input-outlined-border {
    border: none !important;
    border-radius: 8px;
}

.mia-text-field .mud-input-control-input-container {
    background-color: #F8FAFC !important;
}

.no-spinner input[type=number]::-webkit-outer-spin-button,
.no-spinner input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.no-spinner input[type=number] {
    -moz-appearance: textfield;
}

.hide-scrollbar {
    scrollbar-width: none;
    -ms-overflow-style: none;
}

.hide-scrollbar::-webkit-scrollbar {
    display: none;
}

.custom-table {
    width: 100%;
    border-collapse: collapse;
    font-family: Arial, sans-serif;
}

.custom-table thead tr {
    background-color: #1F4397; /* Dark Blue */
    color: white;
    height: 45px;
}

.custom-table thead th {
    padding: 10px;
    font-size: 14px;
    text-align: left;
    font-weight: 600;
}

/* Rounded Corners */
.custom-table thead th:first-child {
    border-top-left-radius: 10px;
}

.custom-table thead th:last-child {
    border-top-right-radius: 10px;
}

.custom-table tbody td {
    padding: 14px 10px;
    border-bottom: 1px solid #eee;
    font-size: 14px;
    color: #333;
}

.delete-btn {
    background: #E7003F;
    color: white;
    border: none;
    padding: 8px 12px;
    border-radius: 8px;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.delete-btn:hover {
    background: #c80035;
}

.delete-btn i {
    font-style: normal;
    font-size: 16px;
}

.my-custom-checkbox .mud-checkbox .mud-icon-root {
    color: #1F4397 !important;
}

body,
.wrapper {
    overflow-x: hidden !important;
}

/* nav meny style override start */
.menu-item.open > .menu-link.menu-toggle {
    background-color: #DBEBFE !important;
    border-radius: 0 25px 25px 0 !important;
}

.menu-item.open > .menu-link.menu-toggle div,
.menu-item.open > .menu-link.menu-toggle .menu-icon svg path {
    color: #1F4397 !important;
    fill: #1F4397 !important;
}

.menu-item .menu-link {
    margin: 0 8px !important;
    padding: 5px 10px 5px 20px !important;
    font-size: 13px !important;
}

.menu-link.disabled {
    cursor: not-allowed !important;
    opacity: 0.6;
    filter: grayscale(40%) brightness(90%);
    pointer-events: none !important;
}

.menu-link.non_cmp_disabled {
    opacity: 0.6;
    filter: grayscale(40%) brightness(90%);
    pointer-events: auto;
}

.menu-item.active > .menu-link {
    background-color: #DBEBFE !important;
    border-radius: 0 25px 25px 0 !important;
    color: #1F4397 !important;
}

.menu-item.active > .menu-link .menu-icon svg path {
    fill: #1F4397 !important;
}

.menu-item.open .menu-sub .menu-item.active > .menu-link {
    background-color: #E8F2FF !important;
    border-radius: 0 20px 20px 0 !important;
    color: #1F4397 !important;
}

.menu-item.open .menu-sub .menu-item.active .menu-icon svg path {
    fill: #1F4397 !important;
}

.menu-sub {
    padding-left: 0 !important;
}

.menu-sub .menu-link {
    padding-left: 30px !important;
}

.menu-sub .menu-sub {
    padding-left: 0 !important;
}

.menu-sub .menu-sub .menu-link {
    padding-left: 50px !important;
}

.menu-link:hover {
    background-color: #F5F9FF !important;
    border-radius: 0 20px 20px 0 !important;
}

/* nav meny style override start end */

/*header style start*/
.layout-navbar {
    width: 100% !important;
    max-width: 100% !important;
    margin: 0 !important;
    border-radius: 0 !important;
    left: 0 !important;
    right: 0 !important;
    background-color: #ffffff !important;
    box-shadow: none;
}

#layout-navbar .container-xxl,
#layout-navbar .container-xl,
#layout-navbar .container-fluid {
    max-width: 100% !important;
    padding-left: 1.5rem !important;
    padding-right: 1.5rem !important;
}

.layout-navbar.navbar {
    height: 56px !important;
}

.mia-header-profile-icon img {
    margin-top: 2px !important;
    width: 35px !important;
    height: 35px !important;
}

.mia-header-profile {
    display: flex !important;
    gap: 5px !important;
    justify-content: space-between !important;
    align-items: center !important;
}

/*header style end*/

.mud-dialog-width-sm {
    max-width: 450px;
}


.mud-tab.mud-tab-active {
    color: var(--primary-color);
    border-left: 3px solid #1F4397 !important;
    background-color: #e1eaff;
}

.d-flex {
    flex-wrap: nowrap !important;
}

.mia-link-button {
    text-decoration: none !important;
}


/*profile*/
.mia-profile-warning-pannel {
    border: 1px dashed #EC7C30;
    background-color: #FEF7EE;
    color: #2C364A;
}

.mia-profile-photo {
    width: 100px;
    height: 100px;
    border-radius: 5px;
    object-fit: cover;
}

/*profile*/

/*App Input file*/
.mia-file-icon {
    width: 25px;
}

.mia-profile-detail-checkbox input[type="checkbox"] {
    appearance: none;
    width: 16px;
    height: 16px;
    border: 2px solid #999;
    border-radius: 3px;
}

.mia-profile-detail-checkbox input[type="checkbox"]:disabled:checked {
    background-color: blue;
    border-color: blue;
}


/*----kg form create----*/
.mia-kg-form-weight-toggle {
    gap: 10px;
    margin-bottom: 20px;
}

.mia-kg-form-button {
    padding: 5px 15px;
    border-radius: 50px;
    border: 1px solid #d0d5dd;
    background-color: #ffffff;
    color: #344054;
    font-size: 12px;
    font-weight: 500;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
}

.mia-kg-form-button:not(.active):hover {
    background-color: #ddd;
}

.mia-kg-form-button.active {
    background-color: #204396;
    color: #ffffff;
}

.mia-kg-form-button:disabled {
    opacity: 0.6;
    cursor: not-allowed;
}


@media (max-width: 767.98px) {
    .layout-navbar .navbar-nav .nav-item.dropdown {
        position: relative !important;
    }
}


.mia-dialog-entry {
    border-radius: 0.5rem !important;
    overflow: hidden;
    animation: dialog-pop 0.3s cubic-bezier(0.34, 1.56, 0.64, 1);
}

@keyframes dialog-pop {
    0% {
        transform: scale(0.8);
        opacity: 0;
    }
    100% {
        transform: scale(1);
        opacity: 1;
    }
}

.no-ellipsis
.select2-container
.select2-selection--single
.select2-selection__rendered {
    text-overflow: clip;
}